| Home | Libraries | People | FAQ | More

## Class invalid_syntax

boost::program_options::invalid_syntax —

## Synopsis

    class invalid_syntax : public boost::program_options::error {
    public:
      // construct/copy/destruct
      invalid_syntax(const std::string &, const std::string &);
      ~invalid_syntax();

      // public member functions

      std::string tokens;
      std::string msg;
    };

## Description

### `invalid_syntax` construct/copy/destruct

1.     invalid_syntax(const std::string & tokens, const std::string & msg);

2.     ~invalid_syntax();

### `invalid_syntax` public member functions

| Copyright © 2002-2004 Vladimir Prus